Package org.opensaml.core.xml.schema.impl

# Class XSURIImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSURIImpl

All Implemented Interfaces:
  `XSURI`, `XMLObject`

Direct Known Subclasses:
  `ActionNamespaceImpl`, `AdditionalMetadataLocationImpl`, `AffiliateMemberImpl`, `AssertionURIRefImpl`, `AttributedURIImpl`, `AttributedURIImpl`, `AttributeProfileImpl`, `AudienceImpl`, `AudienceImpl`, `AuthenticatingAuthorityImpl`, `AuthenticationTypeImpl`, `AuthnContextClassRefImpl`, `AuthnContextDeclRefImpl`, `CanonicalizationAlgorithmImpl`, `CodeImpl`, `ComputedKeyAlgorithmImpl`, `ComputedKeyImpl`, `ConfirmationMethodImpl`, `EmailAddressImpl`, `EncryptionAlgorithmImpl`, `EncryptWithImpl`, `FaultActorImpl`, `GeolocationHintImpl`, `GetCompleteImpl`, `KeyTypeImpl`, `KeyWrapAlgorithmImpl`, `LocalizedURIImpl`, `NameIDFormatImpl`, `RelatesToImpl`, `RequesterIDImpl`, `RequestTypeImpl`, `SignatureAlgorithmImpl`, `SignWithImpl`, `SoapActionImpl`, `TokenTypeImpl`

public class XSURIImpl extends AbstractXMLObject implements XSURI
Conrete implementation of `XSURI`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`value`
URI value.

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`XSURIImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getURI()`
Gets the URI content of the element.
`void`
`setURI(String uri)`
Sets the URI content of the element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### value

@Nullable private String value
URI value.

## Constructor Details

### XSURIImpl

protected XSURIImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getURI

@Nullable public String getURI()
Gets the URI content of the element.

Specified by:
  `getURI` in interface `XSURI`
Returns:
  the URI content of the element

### setURI

public void setURI(@Nullable String uri)
Sets the URI content of the element.

Specified by:
  `setURI` in interface `XSURI`
Parameters:
  `uri` - the URI content of the element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements